Build own Petals 4.1 Component

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Build own Petals 4.1 Component

marco123
Hi,

Found this document which works fine for Petals 3.1 when you choose petals-cdk-core version 5.1.3 (Seems higher versions didn't have the petals.component.framework.util.UtilFactory or did i forgot something?).

Are there any solutions to get that component running under Petals 4.1?

Many thanks in advance
Reply | Threaded
Open this post in threaded view
|

Re: Build own Petals 4.1 Component

Christophe DENEUX
Administrator
To run your component on Petals ESB 4.1, you MUST upgrade the version of the CDK to the last one: 5.3.0.

The UtilFactory has been removed because it has no sens. Several utility classes are available in the package org.ow2.petals.component.framework.util. You should find that you serach. Otherwise I can help you if you give me more details: the method that you want invoke for example.
Christophe DENEUX
Petals ESB Architect
Linagora
Twitter: @ChrisDENEUX
Reply | Threaded
Open this post in threaded view
|

Re: Build own Petals 4.1 Component

marco123
Thanks for your answer.

Missed the <petalsCDK:ignored-status>DONE_AND_ERROR_IGNORED</petalsCDK:ignored-status> tag in ..\src\main\jbi\jbi.xml

works after removing it...
Reply | Threaded
Open this post in threaded view
|

Re: Build own Petals 4.1 Component

Christophe DENEUX
Administrator
Yes, this configuration parameter has been removed in the last release of the CDK
Christophe DENEUX
Petals ESB Architect
Linagora
Twitter: @ChrisDENEUX
Reply | Threaded
Open this post in threaded view
|

Re: Build own Petals 4.1 Component

wileamson7
Banned User
If I remember well, the problem with these WSDL was an empty mark-up at some point. Something which was not validated in the studio. Otherwise, Petals supports WSDL with various and multiple imports (WSDL, XSD).